## Apache Zeta Components Manual :: Docs For Class ezcWebdavAnonymousAuthenticator

### Webdav::ezcWebdavAnonymousAuthenticator

### Interface ezcWebdavAnonymousAuthenticator

Interface for anonymous authentication mechanism.

This interface must be implemented by objects that provide authentication for the anonymous user (if no credentials are provided at all in the request).

An instance of a class implementing this interface may be used in the ezcWebdavServer $auth property. The WebDAV server will then use this instance to perform authentication. In addition, classes may implement ezcWebdavBasicAuthenticator and ezcWebdavDigestAuthenticator and are highly recommended to do so.

Source for this file: /Webdav/src/interfaces/anonymous_authenticator.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavBasicAuthenticator | Interface for Basic authentication mechanism.

### Method Summary

public bool | `authenticateAnonymous( $data )` Checks authentication for the anonymous user.

### Methods

#### authenticateAnonymous

bool authenticateAnonymous( ezcWebdavAnonymousAuth $data )

Checks authentication for the anonymous user.

This method checks the given user/password credentials encapsulated in $data. Returns true if the user was succesfully recognized and the password is valid for him, false otherwise. In case no username and/or password was provided in the request, empty strings are provided as the parameters of this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | ezcWebdavAnonymousAuth |

Documentation generated by phpDocumentor 1.4.3